/* -----------------------------------------------------------------------------
	GSFramework
	Copyright 2001-2013 Emmanuel Julien. All Rights Reserved.
----------------------------------------------------------------------------- */


#ifndef	__UISCENEEVENTINTERFACE__
#define	__UISCENEEVENTINTERFACE__


namespace GS {
	namespace S2D {

	class Scene;

/*!
	@short	UI scene event interface.

	Implement this class if you wish to process script events from C++.
	@author	Emmanuel Julien (ejulien@nworks.fr)
*/
struct	ISceneEvent
{
virtual	void		OnSetup(Scene *) {}
virtual	void		OnReset(Scene *) {}
virtual	void		OnUpdate(Scene *) {}
virtual	void		OnDelete(Scene *) {}

virtual	~ISceneEvent() {}
};

	}
}


#endif	// __UISCENEEVENTINTERFACE__
